Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class RGBColorImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.RGBColorImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, Color, RGBColor

    public class RGBColorImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements RGBColor

An implementation of the model object 'RGB Color'.

The following features are implemented:

- `Red`
- `Green`
- `Blue`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected int` `blue` The cached value of the '`Blue`' attribute
`protected static int` `BLUE_EDEFAULT` The default value of the '`Blue`' attribute
`protected int` `green` The cached value of the '`Green`' attribute
`protected static int` `GREEN_EDEFAULT` The default value of the '`Green`' attribute
`protected int` `red` The cached value of the '`Red`' attribute
`protected static int` `RED_EDEFAULT` The default value of the '`Red`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `RGBColorImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getBlue()`
`int` `getGreen()`
`int` `getRed()`
`void` `setBlue(int newBlue)`
`void` `setGreen(int newGreen)`
`void` `setRed(int newRed)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RED_EDEFAULT

    protected static final int RED_EDEFAULT

  The default value of the '`Red`' attribute.

  See Also:
    `getRed()`, Constant Field Values
  ** Generated **
  Ordered:

### red

    protected int red

  The cached value of the '`Red`' attribute.

  See Also:
    `getRed()`
  ** Generated **
  Ordered:

### GREEN_EDEFAULT

    protected static final int GREEN_EDEFAULT

  The default value of the '`Green`' attribute.

  See Also:
    `getGreen()`, Constant Field Values
  ** Generated **
  Ordered:

### green

    protected int green

  The cached value of the '`Green`' attribute.

  See Also:
    `getGreen()`
  ** Generated **
  Ordered:

### BLUE_EDEFAULT

    protected static final int BLUE_EDEFAULT

  The default value of the '`Blue`' attribute.

  See Also:
    `getBlue()`, Constant Field Values
  ** Generated **
  Ordered:

### blue

    protected int blue

  The cached value of the '`Blue`' attribute.

  See Also:
    `getBlue()`
  ** Generated **
  Ordered:

Constructor Detail

### RGBColorImpl

    protected RGBColorImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getRed

    public int getRed()

  Specified by:
    `getRed` in interface `RGBColor`
  Returns:
    the value of the 'Red' attribute.
  See Also:
    `RGBColor.setRed(int)`, `GMFGraphPackage.getRGBColor_Red()`
  ** Generated **

### setRed

    public void setRed(int newRed)

  Specified by:
    `setRed` in interface `RGBColor`
  Parameters:
    `newRed` - the new value of the 'Red' attribute.
  See Also:
    `RGBColor.getRed()`
  ** Generated **

### getGreen

    public int getGreen()

  Specified by:
    `getGreen` in interface `RGBColor`
  Returns:
    the value of the 'Green' attribute.
  See Also:
    `RGBColor.setGreen(int)`, `GMFGraphPackage.getRGBColor_Green()`
  ** Generated **

### setGreen

    public void setGreen(int newGreen)

  Specified by:
    `setGreen` in interface `RGBColor`
  Parameters:
    `newGreen` - the new value of the 'Green' attribute.
  See Also:
    `RGBColor.getGreen()`
  ** Generated **

### getBlue

    public int getBlue()

  Specified by:
    `getBlue` in interface `RGBColor`
  Returns:
    the value of the 'Blue' attribute.
  See Also:
    `RGBColor.setBlue(int)`, `GMFGraphPackage.getRGBColor_Blue()`
  ** Generated **

### setBlue

    public void setBlue(int newBlue)

  Specified by:
    `setBlue` in interface `RGBColor`
  Parameters:
    `newBlue` - the new value of the 'Blue' attribute.
  See Also:
    `RGBColor.getBlue()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.